[
{
    blockid=access;
    help=service_imap_access_access;
    localvar={
	.delimiter="$";
	.allow.help="\u5f53\u4e00\u5bf9 (\u5b88\u62a4\u7a0b\u5e8f\uff0c\u5ba2\u6237\u673a) \u7b26\u5408 \"\u5141\u8bb8\" \u8fc7\u6ee4\u5668\u65f6\uff0c\u5bf9\u8be5\u670d\u52a1\u7684\u8bbf\u95ee\u5c06\u83b7\u51c6\u8bb8\u3002";
	.allow.header="\u5141\u8bb8";
	.deny.help="\u5f53\u4e00\u5bf9 (\u5b88\u62a4\u7a0b\u5e8f\uff0c\u5ba2\u6237\u673a) \u7b26\u5408 \"\u62d2\u7edd\" \u8fc7\u6ee4\u5668\u65f6\uff0c\u5bf9\u8be5\u670d\u52a1\u7684\u8bbf\u95ee\u5c06\u88ab\u62d2\u7edd\u3002";
	.deny.header="\u62d2\u7edd";
	.else.help="\u5982\u679c (\u5b88\u62a4\u7a0b\u5e8f\uff0c\u5ba2\u6237\u673a) \u5bf9\u4e0d\u7b26\u5408\u4e0a\u9762\u6240\u5217\u7684\u4efb\u4e00\u8fc7\u6ee4\u5668\uff0c\u5c06\u6388\u4e88\u6743\u9650\u3002";
	.allow.title="\"\u5141\u8bb8\" \u8fc7\u6ee4\u5668\u6761\u76ee";
	.deny.title="\"\u62d2\u7edd\" \u8fc7\u6ee4\u5668\u6761\u76ee";
    };
    layout=[gridbag];
    content=[
	{
	    ctrl=label;
	    id=allowlabel;
	    text=$.allow.help;
	    wrap=$g.label.size5;
	    constraint={
		gridx=0;
		gridy=0;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=table;
	    id=allowtable;
	    showedit=true;
	    buttonsat=east;
	    label=allowlabel;
	    visiblerows=5;
	    stdtable=true;
	    addui=allowdialog;
      addtext=$g.addbutton.text;
      edittext=$g.editbutton.text;
      deltext=$g.deletebutton.text;
	    addtitle=$.allow.title;
	    editui=allowdialog;
	    edittitle=$.allow.title;
	    val=$domainallowed.value;
	    delimiter=$.delimiter;
	    constraint={
		gridx=0;
		gridy=1;
		weightx=1;
		weighty=1;
		fill=both;
		insets=$g.insets.comp;
	    }
	    columns=[
		{
		    header=$.allow.header;
		    varname=allowrule;
		}
	    ]
	},
	{
	    ctrl=separator;
	    constraint={
		gridx=0;
		gridy=2;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=denylabel;
	    text=$.deny.help;
	    wrap=$g.label.size5;
	    constraint={
		gridx=0;
		gridy=3;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=table;
	    id=denytable;
	    stdtable=true;
	    showedit=true;
	    buttonsat=east;
	    label=denylabel;
	    visiblerows=5;
	    addui=denydialog;
      addtext=$g.addbutton.text;
      edittext=$g.editbutton.text;
      deltext=$g.deletebutton.text;
	    addtitle=$.deny.title;
	    editui=denydialog;
	    edittitle=$.deny.title;
	    val=$domainnotallowed.value;
	    delimiter=$.delimiter;
	    constraint={
		gridx=0;
		gridy=4;
		weightx=1;
		weighty=1;
		fill=both;
		insets=$g.insets.comp;
	    }
	    columns=[
		{
		    header=$.deny.header;
		    varname=denyrule;
		}
	    ]
	},
	{
	    ctrl=separator;
	    constraint={
		gridx=0;
		gridy=5;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    text=$.else.help;
	    wrap=$g.label.size5;
	    constraint={
		gridx=0;
		gridy=6;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	}
    ]
},
{
    blockid=allowdialog;
    help=service_imap_access_allowdialog;
    localvar={
	.allowrule.help="\"\u5141\u8bb8\" \u8fc7\u6ee4\u5668:";
    };
    content=[
	{
	    ctrl=label;
	    text=$.allowrule.help;
	    wrap=$g.label.size3;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=text;
	    val=$allowrule;
	    validate=com.netscape.management.msgserv.util.ValidAccessFilter;
	    errhint=$.allowrule.help;
	    focus=true;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    border=$g.example.border;
	    layout=[ybox];
	    content=[
		{
		    ctrl=label;
		    text=$g.example.imapaccess1;
		    wrap=$g.label.size3;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=label;
		    text=$g.example.imapaccess2;
		    wrap=$g.label.size3;
		}
	    ]
	}
    ]
},
{
    blockid=denydialog;
    help=service_imap_access_denydialog;
    localvar={
	.denyrule.help="\"\u62d2\u7edd\" \u8fc7\u6ee4\u5668:";
    };
    content=[
	{
	    ctrl=label;
	    text=$.denyrule.help;
	    wrap=$g.label.size3;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=text;
	    val=$denyrule;
	    validate=com.netscape.management.msgserv.util.ValidAccessFilter;
	    errhint=$.denyrule.help;
	    focus=true;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    border=$g.example.border;
	    layout=[ybox];
	    content=[
		{
		    ctrl=label;
		    text=$g.example.imapaccess1;
		    wrap=$g.label.size3;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=label;
		    text=$g.example.imapaccess2;
		    wrap=$g.label.size3;
		}
	    ]
	}
    ]
}
]
